# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.storage.CredentialRecord.IUsernameStage

Packages that use CredentialRecord.IUsernameStage
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage
Storage APIs for WebAuthn.

## Uses of CredentialRecord.IUsernameStage in net.shibboleth.idp.plugin.authn.webauthn.storage

Classes in net.shibboleth.idp.plugin.authn.webauthn.storage that implement CredentialRecord.IUsernameStage
Modifier and Type
Class
Description
`static final class`
`CredentialRecord.Builder`
Builder.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage that return CredentialRecord.IUsernameStage
Modifier and Type
Method
Description
`CredentialRecord.IUsernameStage`
CredentialRecord.Builder.`withUserIdentity(com.yubico.webauthn.data.UserIdentity user)`
`CredentialRecord.IUsernameStage`
CredentialRecord.IUserIdentityStage.`withUserIdentity(com.yubico.webauthn.data.UserIdentity userIdentity)`
The users identity.